<?php

namespace App\Http\Controllers\Password;

use Illuminate\Http\Request;
use App\Mail\CorreoDocumento;
use Illuminate\Support\Facades\Mail;
use App\{Alumno,Constancia,DocumentoAlumno,FirmaQR,Acta};
use PDF;

class CorreoController extends Controller
{
    // CONSTANCIA DE NO INCONVENIENCIA
    public function enviar_constancia(Request $request,$id,$id_firqr){
        /*Aqui para poder cambiar el color del boton a verde en el listado de constancias
        * Debemos tener un estado de envió, si es 0 = no enviado 
        * En cambio, si es 1 = enviado, por lo tanto se cambia de color a verde
        * Ojo este paso debe ir en el index para que lo tome desde que se muestra el listado
        * Aqui solo manda la alerta
        */
        // Se obtiene el id del solicitante(egresado) 
        // $id = $request->id;
        // dd($id.' '.$id_firqr);

        $estudiante = Alumno::find($id);
        // dd($estudiante);
        /*
        // Se obtienen los datos de la constancia,del solicitante y del departamento
        $c_a = Constancia::where('id_alumno',$id)->with('alumno')->where('id_dep','1')->with('departamento')->first();
        // Se mandan los datos a la vista
        $pdf = PDF::loadView('documentos.constancia.constancia',compact('c_a'));
        // Se define el tamaño de hoja y la orientación
        $pdf->setPaper('letter', 'portrait');
        // Se renderiza el documento de HTML a PDF
        $pdf->render();
        
        $directorio = storage_path("app/documentos/constancias/".$c_a->alumno->num_control."/");
        $carpeta=$directorio;
        if (!file_exists($carpeta)) {
            mkdir($carpeta, 0777, true);
        }

        $archivo = $directorio.'constancia_'.$c_a->alumno->num_control.'.pdf';
        */
       
       $correo = '';
       if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
            $correo = $estudiante->correo_institucional;
       }else{
            if ($estudiante->correo === null || $estudiante->correo === '') {
                return response()->json([
                    'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                    'estado'=>'error_email'
                ]);
            }else{
                $correo = $estudiante->correo;
            }
       }

        $mensaje = array(
            'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
            'correo'            =>  $correo,
            'documento'         => 'Constancia de no inconveniencia',
            'apartado_descarga' => 'Descargar > Constancia de no inconveniencia',
            'constancia'        => 'info'
            // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
            // 'mensaje'   =>  'Gusto en saludarlo, le notificamos que ya puede descargar su constancia desde el sistema.'
            // 'archivo'   =>  $request->file('archivo')
        );
        // dd($mensaje);

        /*
        if (!file_exists($archivo)) {
            $pdf = $pdf->save($archivo);
            Mail::to($mensaje['correo'])->send(new CorreoConstancia($mensaje));
        }else{
            Mail::to($mensaje['correo'])->send(new CorreoConstancia($mensaje));

            return response()->json([
                'mensaje'=>'La constancia ya ha sido enviada, pero se envió nuevamente',
                'estado'=>'ok'
            ]);
        }
        */

        //file_put_contents($directorio, $pdf);
        $update_estado = Constancia::where('id_firqr',$id_firqr)->first();
        //dd($update_estado);

        // $pdf = $pdf->save($archivo);
        
        if ($update_estado->estado == 2) {
            Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
            
            return response()->json([
                'mensaje'=>'El correo se envió nuevamente.',
                'estado'=>'ok'
            ]);   
        }else{
            if ($update_estado->estado == 1) {
                // dd($mensaje['correo']);
                Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                $update_estado->estado = '2';
                $update_estado->save();
                return response()->json([
                    'mensaje'=>'El correo se ha enviado con éxito',
                    'estado'=>'ok'
                ]);
            }
        }
    }

    public function enviar_acta(Request $request,$id){
        /*Aqui para poder cambiar el color del boton a verde en el listado de constancias
        * Debemos tener un estado de envió, si es 0 = no enviado 
        * En cambio, si es 1 = enviado, por lo tanto se cambia de color a verde
        * Ojo este paso debe ir en el index para que lo tome desde que se muestra el listado
        * Aqui solo manda la alerta
        */
       // dd($id);
       
        $estudiante = Alumno::find($id);
       
       $correo = '';
       if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
            $correo = $estudiante->correo_institucional;
       }else{
            if ($estudiante->correo === null || $estudiante->correo === '') {
                return response()->json([
                    'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                    'estado'=>'error_email'
                ]);
            }else{
                $correo = $estudiante->correo;
            }
       }

        $mensaje = array(
            'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
            'correo'            =>  $correo,
            'documento'         => 'Acta de exención de examen profesional',
            'apartado_subir'    => 'Documentos > Subir documentos > Acta de exención de examen profesional',
            'acta'              => 'info'
        );
        // dd($mensaje);

        /*
        if (!file_exists($archivo)) {
            $pdf = $pdf->save($archivo);
            Mail::to($mensaje['correo'])->send(new CorreoConstancia($mensaje));
        }else{
            Mail::to($mensaje['correo'])->send(new CorreoConstancia($mensaje));

            return response()->json([
                'mensaje'=>'La constancia ya ha sido enviada, pero se envió nuevamente',
                'estado'=>'ok'
            ]);
        }
        */

        //file_put_contents($directorio, $pdf);
        $update_estado = Acta::where('id_alum',$id)->first();
        // var_dump($mensaje);
        // dd($update_estado);

        // $pdf = $pdf->save($archivo);
        
        if ($update_estado->estado == 2) {
            Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
            
            return response()->json([
                'mensaje'=>'El correo se envió nuevamente.',
                'estado'=>'ok'
            ]);   
        }else{
            if ($update_estado->estado == 1) {
                // dd($mensaje['correo']);
                Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                $update_estado->estado = '2';
                $update_estado->save();
                return response()->json([
                    'mensaje'=>'El correo se ha enviado con éxito',
                    'estado'=>'ok'
                ]);
            }
        } 
       
        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_borrador(Request $request,$id){
        /*Aqui para poder cambiar el color del boton a verde en el listado de constancias
        * Debemos tener un estado de envió, si es 0 = no enviado 
        * En cambio, si es 1 = enviado, por lo tanto se cambia de color a verde
        * Ojo este paso debe ir en el index para que lo tome desde que se muestra el listado
        * Aqui solo manda la alerta
        */
       // dd($id);
       
        $estudiante = Alumno::find($id);
       
       $correo = '';
       if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
            $correo = $estudiante->correo_institucional;
       }else{
            if ($estudiante->correo === null || $estudiante->correo === '') {
                return response()->json([
                    'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                    'estado'=>'error_email'
                ]);
            }else{
                $correo = $estudiante->correo;
            }
       }

        $mensaje = array(
            'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
            'correo'            =>  $correo,
            'documento'         => 'Borrador de título para autorización',
            'apartado_descarga' => 'Descargar > Borrador de título para autorización',
            'borrador'          => 'info'
            // 'saludo'            => 'Buen dia',
            // 'otro_mensaje'      => 'Una vez descargado es necesario que, si usted está de acuerdo y no encuentra ningún error en el documento, IMPRIMA la segunda hoja y escriba de puño y letra, en la parte de abajo, la siguiente leyenda:',
            // 'leyenda'           => '"ESTOY DE ACUERDO CON LOS DATOS DE ESTE DOCUMENTO, POR LO TANTO AUTORIZO LA IMPRESIÓN DEL MISMO"
            //   NOMBRE COMPLETO, FECHA Y FIRMA',
            // 'otro_parrafo'      => 'Posteriormente debe escanear y subir la segunda hoja en formato PDF, en el apartado de ',
            // 'apartado_subir'    => 'Documentos > Subir documentos > Borrador de Título, a más tardar el día de mañana.',
            // 'nota'              => 'Hasta entonces su trámite podrá continuar su curso.'
        );

        //file_put_contents($directorio, $pdf);
        // $docs_alumno = DocumentoAlumno::where('id_alum',$id)->with(['documento','alumno'])->get();

        // $existe_borrador = false;
        // $id_doc = '';
        // foreach ($docs_alumno as $d_a) {
        //     if ($d_a->documento->id_acceso == 3) {
        //         // dd($d_a->id_alum);
        //         $existe_borrador = true;
        //         $id_doc = $d_a->id_doc;
        //     }
        // }
        // // var_dump($mensaje);
        // // dd($id_doc);

        // if (!$existe_borrador && $id_doc == '') {
        //     // dd('se metio gg');
        //     Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
            
        //     return response()->json([
        //         'mensaje'=>'El correo se envió con éxito.',
        //         'estado'=>'ok'
        //     ]);  
        // }else{
        //     $update_estado = DocumentoAlumno::where('id_doc',$id_doc)->first();
        //     // dd($update_estado);
        //     // $pdf = $pdf->save($archivo);
            
        //     if ($update_estado->estado_doc == 3) {
        //         Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                
        //         return response()->json([
        //             'mensaje'=>'El correo se envió nuevamente.',
        //             'estado'=>'ok'
        //         ]);   
        //     }else{
        //         if ($update_estado->estado_doc != 3) {
        //             // dd($mensaje['correo']);
        //             Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
        //             $update_estado->estado = '3';
        //             $update_estado->save();
        //             return response()->json([
        //                 'mensaje'=>'El correo se ha enviado con éxito.',
        //                 'estado'=>'ok'
        //             ]);
        //         }
        //     } 
        // }

        Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
            
        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_cedula(Request $request,$id){
        /*Aqui para poder cambiar el color del boton a verde en el listado de constancias
        * Debemos tener un estado de envió, si es 0 = no enviado 
        * En cambio, si es 1 = enviado, por lo tanto se cambia de color a verde
        * Ojo este paso debe ir en el index para que lo tome desde que se muestra el listado
        * Aqui solo manda la alerta
        */
       // dd($id);
       
       $estudiante = Alumno::find($id);
       
       $correo = '';
       if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
            $correo = $estudiante->correo_institucional;
       }else{
            if ($estudiante->correo === null || $estudiante->correo === '') {
                return response()->json([
                    'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                    'estado'=>'error_email'
                ]);
            }else{
                $correo = $estudiante->correo;
            }
       }

        $mensaje = array(
            'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
            'correo'            =>  $correo,
            'documento'         => 'Cédula profesional',
            'apartado_subir'    => 'Documentos > Subir documentos > Cédula profesional',
            'cedula'            => 'info'
            // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
            // 'saludo'   =>  'Hola '.$estudiante->nombre.' '.$estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno.' gusto en saludarlo , le notificamos que ya puede descargar su constancia de no inconveniencia desde el sistema ingresando al siguiente link: http://titulo.zitacuaro.tecnm.mx/alumno/ .',
            // 'instrucciones' => 'Una vez que haya iniciado sesion debera ingresar al apartado: Descargar > Acta de exención de examen profesional. Si tiene algún problema al descargar su acta, favor de ponerse en contacto con el departamento de servicios escolares.'
            // 'archivo'   =>  $request->file('archivo')
        );
        // dd($mensaje);
        
        Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));

        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_formulario(Request $request,$id){
        /*Aqui para poder cambiar el color del boton a verde en el listado de constancias
        * Debemos tener un estado de envió, si es 0 = no enviado 
        * En cambio, si es 1 = enviado, por lo tanto se cambia de color a verde
        * Ojo este paso debe ir en el index para que lo tome desde que se muestra el listado
        * Aqui solo manda la alerta
        */
       // dd($id);
       
       $estudiante = Alumno::find($id);
       
       $correo = '';
       if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
            $correo = $estudiante->correo_institucional;
       }else{
            if ($estudiante->correo === null || $estudiante->correo === '') {
                return response()->json([
                    'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                    'estado'=>'error_email'
                ]);
            }else{
                $correo = $estudiante->correo;
            }
       }

        $mensaje = array(
            'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
            'correo'            =>  $correo,
            'documento'         => 'Formulario de Antecedentes de bachillerato y Plan de estudios de licenciatura',
            'apartado_form'     => 'Formulario > Tramité de titulo y cédula',
            'formulario'        => 'info'
            // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
            // 'saludo'   =>  'Hola '.$estudiante->nombre.' '.$estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno.' gusto en saludarlo , le notificamos que ya puede descargar su constancia de no inconveniencia desde el sistema ingresando al siguiente link: http://titulo.zitacuaro.tecnm.mx/alumno/ .',
            // 'instrucciones' => 'Una vez que haya iniciado sesion debera ingresar al apartado: Descargar > Acta de exención de examen profesional. Si tiene algún problema al descargar su acta, favor de ponerse en contacto con el departamento de servicios escolares.'
            // 'archivo'   =>  $request->file('archivo')
        );
        // dd($mensaje);
        
        Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));

        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_seleccionados_constancia(Request $request){
        $seleccionados = $request->ids;

        $no_control = explode(',',$seleccionados);
        // dd($no_control);
        $cont = 0;
        for ($i=0; $i < sizeof($no_control); $i++) { 
            $alumno_firma = FirmaQR::where('id_alum',$no_control[$i])->with(['alumno','constancia'])->first();
            // dd($alumno_firma->alumno);
            if($alumno_firma->constancia != null){
                // dd('Aun no se crea su constancia');
                // $estudiante = Alumno::find($no_control[$i]);
                // dd($alumno_firma->alumno->correo_institucional);
       
                $correo = '';
                if ($alumno_firma->alumno->correo_institucional != null && $alumno_firma->alumno->correo_institucional != '') {
                    $correo = $alumno_firma->alumno->correo_institucional;
                }else{
                    if ($alumno_firma->alumno->correo === null || $alumno_firma->alumno->correo === '') {
                        return response()->json([
                            'mensaje'=>'El estudiante con no.control: '.$alumno_firma->alumno->id.' no cuenta con correo institucional o/y correo personal',
                            'estado'=>'error_email'
                        ]);
                    }else{
                        $correo = $alumno_firma->alumno->correo;
                    }
                }

                $mensaje = array(
                    'nombre'            =>  $alumno_firma->alumno->nombre.' '.$alumno_firma->alumno->ap_paterno.' '.$alumno_firma->alumno->ap_materno,
                    'correo'            =>  $correo,
                    'documento'         => 'Constancia de no inconveniencia',
                    'apartado_descarga' => 'Descargar > Constancia de no inconveniencia',
                    'constancia'        => 'info'
                    // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
                    // 'mensaje'   =>  'Gusto en saludarlo, le notificamos que ya puede descargar su constancia desde el sistema.'
                    // 'archivo'   =>  $request->file('archivo')
                );

                #$update_estado = FirmaQR::where('id_alum',$alumno_firma->alumno->id)->with(['alumno','constancia'])->first();#Constancia::where('id_firqr',$id_firqr)->first();
                // dd($update_estado->);

                // $pdf = $pdf->save($archivo);
                
                if ($alumno_firma->constancia->estado == 2) {
                    Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                      
                }else{
                    if ($alumno_firma->constancia->estado == 1) {
                        // dd($mensaje['correo']);
                        Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                        $alumno_firma->constancia->estado = '2';
                        $alumno_firma->constancia->save();
                        
                    }
                }
            }
            
        }
        return response()->json([
            'mensaje'=>'Los correos se han enviado a los estudiantes seleccionados.',
            'estado'=>'ok'
        ]);
    }

    public function enviar_seleccionados_acta(Request $request){
        $seleccionados = $request->ids;

        $no_control = explode(',',$seleccionados);
        // dd($no_control);
        $cont = 0;
        for ($i=0; $i < sizeof($no_control); $i++) { 
            $alumno_acta = Acta::where('id_alum',$no_control[$i])->with(['alumno','opcion_tipo','logos'])->first();
            // dd($alumno_acta->alumno);
            if($alumno_acta != null){
                // dd('Aun no se crea su constancia');
                // $estudiante = Alumno::find($no_control[$i]);
                // dd($alumno_acta->alumno->correo_institucional);
       
                $correo = '';
                if ($alumno_acta->alumno->correo_institucional != null && $alumno_acta->alumno->correo_institucional != '') {
                    $correo = $alumno_acta->alumno->correo_institucional;
                }else{
                    if ($alumno_acta->alumno->correo === null || $alumno_acta->alumno->correo === '') {
                        return response()->json([
                            'mensaje'=>'El estudiante con no.control: '.$alumno_acta->alumno->id.' no cuenta con correo institucional o/y correo personal',
                            'estado'=>'error_email'
                        ]);
                    }else{
                        $correo = $alumno_acta->alumno->correo;
                    }
                }

                $mensaje = array(
                    'nombre'            =>  $alumno_acta->alumno->nombre.' '.$alumno_acta->alumno->ap_paterno.' '.$alumno_acta->alumno->ap_materno,
                    'correo'            =>  $correo,
                    'documento'         => 'Acta de exención de examen profesional',
                    'apartado_subir'    => 'Documentos > Subir documentos > Acta de exención de examen profesional',
                    'acta'              => 'info'
                    // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
                    // 'mensaje'   =>  'Gusto en saludarlo, le notificamos que ya puede descargar su constancia desde el sistema.'
                    // 'archivo'   =>  $request->file('archivo')
                );

                #$update_estado = FirmaQR::where('id_alum',$alumno_acta->alumno->id)->with(['alumno','constancia'])->first();#Constancia::where('id_firqr',$id_firqr)->first();
                // dd($update_estado->);

                // $pdf = $pdf->save($archivo);
                
                $update_estado = Acta::where('id_alum',$no_control[$i])->first();
                // var_dump($mensaje);
                // dd($update_estado);

                // $pdf = $pdf->save($archivo);
                
                if ($update_estado->estado == 2) {
                    Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                      
                }else{
                    if ($update_estado->estado == 1) {
                        // dd($mensaje['correo']);
                        Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
                        $update_estado->estado = '2';
                        $update_estado->save();
                    }
                } 
                
            }
            
        }
        return response()->json([
            'mensaje'=>'Los correos se han enviado a los estudiantes seleccionados.',
            'estado'=>'ok'
        ]);
    }

    public function enviar_seleccionados_borrador(Request $request){
        $seleccionados = $request->ids;

        $no_control = explode(',',$seleccionados);
        // dd($no_control);
        $cont = 0;
        for ($i=0; $i < sizeof($no_control); $i++) { 
            $estudiante = Alumno::find($no_control[$i]);
       
           $correo = '';
           if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
                $correo = $estudiante->correo_institucional;
           }else{
                if ($estudiante->correo === null || $estudiante->correo === '') {
                    return response()->json([
                        'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                        'estado'=>'error_email'
                    ]);
                }else{
                    $correo = $estudiante->correo;
                }
           }

            $mensaje = array(
                'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
                'correo'            =>  $correo,
                'documento'         => 'Borrador de título para autorización',
                'apartado_descarga' => 'Descargar > Borrador de título para autorización',
                'borrador'          => 'info'
            );

            Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));
        }  
        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_seleccionados_cedula(Request $request){
        $seleccionados = $request->ids;

        $no_control = explode(',',$seleccionados);
        // dd($no_control);
        $cont = 0;
        for ($i=0; $i < sizeof($no_control); $i++) { 
            $estudiante = Alumno::find($no_control[$i]);
       
            $correo = '';
            if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
                $correo = $estudiante->correo_institucional;
            }else{
                if ($estudiante->correo === null || $estudiante->correo === '') {
                    return response()->json([
                        'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                        'estado'=>'error_email'
                    ]);
                }else{
                    $correo = $estudiante->correo;
                }
            }

            $mensaje = array(
                'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
                'correo'            =>  $correo,
                'documento'         => 'Cédula profesional',
                'apartado_subir'    => 'Documentos > Subir documentos > Cédula profesional',
                'cedula'            => 'info'
                // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
                // 'saludo'   =>  'Hola '.$estudiante->nombre.' '.$estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno.' gusto en saludarlo , le notificamos que ya puede descargar su constancia de no inconveniencia desde el sistema ingresando al siguiente link: http://titulo.zitacuaro.tecnm.mx/alumno/ .',
                // 'instrucciones' => 'Una vez que haya iniciado sesion debera ingresar al apartado: Descargar > Acta de exención de examen profesional. Si tiene algún problema al descargar su acta, favor de ponerse en contacto con el departamento de servicios escolares.'
                // 'archivo'   =>  $request->file('archivo')
            );
            // dd($mensaje);

            Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));

        }  
        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }

    public function enviar_seleccionados_forms(Request $request){
        $seleccionados = $request->ids;

        $no_control = explode(',',$seleccionados);
        // dd($no_control);
        $cont = 0;
        for ($i=0; $i < sizeof($no_control); $i++) { 
            $estudiante = Alumno::find($no_control[$i]);
       
            $correo = '';
            if ($estudiante->correo_institucional != null && $estudiante->correo_institucional != '') {
                $correo = $estudiante->correo_institucional;
            }else{
                if ($estudiante->correo === null || $estudiante->correo === '') {
                    return response()->json([
                        'mensaje'=>'El estudiante no cuenta con correo institucional o/y correo personal',
                        'estado'=>'error_email'
                    ]);
                }else{
                    $correo = $estudiante->correo;
                }
            }

            $mensaje = array(
                'nombre'            =>  $estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno,
                'correo'            =>  $correo,
                'documento'         => 'Formulario de Antecedentes de bachillerato y Plan de estudios de licenciatura',
                'apartado_form'     => 'Formulario > Tramité de titulo y cédula',
                'formulario'        => 'info'
                // 'asunto'    =>  'Aviso Trámite de Título y Cédula - ITZ Servicios Escolares',
                // 'saludo'   =>  'Hola '.$estudiante->nombre.' '.$estudiante->nombre.' '.$estudiante->ap_paterno.' '.$estudiante->ap_materno.' gusto en saludarlo , le notificamos que ya puede descargar su constancia de no inconveniencia desde el sistema ingresando al siguiente link: http://titulo.zitacuaro.tecnm.mx/alumno/ .',
                // 'instrucciones' => 'Una vez que haya iniciado sesion debera ingresar al apartado: Descargar > Acta de exención de examen profesional. Si tiene algún problema al descargar su acta, favor de ponerse en contacto con el departamento de servicios escolares.'
                // 'archivo'   =>  $request->file('archivo')
            );
            // dd($mensaje);

            Mail::to($mensaje['correo'])->send(new CorreoDocumento($mensaje));

        }  
        return response()->json([
            'mensaje'=>'El correo se ha enviado con éxito',
            'estado'=>'ok'
        ]);
    }
}
